specVersion: 0.0.4
description: Sushiswap
repository: https://github.com/sushiswap/sushiswap-subgraph
schema:
  file: schema.graphql
dataSources:
  - kind: ethereum/contract
    name: Factory
    network: mainnet
    source:
      address: "0x9b3336186a38e1b6c21955d112dbb0343ee061ee"
      abi: Factory
      startBlock: 3328632
    mapping:
      kind: ethereum/events
      apiVersion: 0.0.6
      language: wasm/assemblyscript
      file: Factory/Factory.wasm
      entities:
        - Pair
        - Token
      abis:
        - name: Factory
          file: Factory/abis/factory.json
        - name: ERC20
          file: Factory/abis/ERC20.json
        - name: ERC20SymbolBytes
          file: Factory/abis/ERC20SymbolBytes.json
        - name: ERC20NameBytes
          file: Factory/abis/ERC20NameBytes.json
      eventHandlers:
        - event: PairCreated(indexed address,indexed address,address,uint256)
          handler: handleNewPair
templates:
  - kind: ethereum/contract
    name: Pair
    network: mainnet
    source:
      abi: Pair
    mapping:
      kind: ethereum/events
      apiVersion: 0.0.6
      language: wasm/assemblyscript
      file: templates/Pair/Pair.wasm
      entities:
        - Pair
        - Token
      abis:
        - name: Pair
          file: Pair/abis/pair.json
        - name: Factory
          file: Pair/abis/factory.json
      eventHandlers:
        - event: Mint(indexed address,uint256,uint256)
          handler: handleMint
        - event: Burn(indexed address,uint256,uint256,indexed address)
          handler: handleBurn
        - event: Swap(indexed address,uint256,uint256,uint256,uint256,indexed address)
          handler: handleSwap
        - event: Transfer(indexed address,indexed address,uint256)
          handler: handleTransfer
        - event: Sync(uint112,uint112)
          handler: handleSync
